summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Ogden <bernie.ogden@linaro.org>2015-01-19 14:36:58 +0000
committerBernard Ogden <bernie.ogden@linaro.org>2015-01-20 10:38:05 +0000
commit03ca6b792f2d3be1647a20f7d3790e3fcfd1cc19 (patch)
treeeefed01ecf3a4b1f0dec03ea37200477771905c5
parent2f3334002f542d8dafc2c720cb41c0a7c2a2f3b1 (diff)
Add sleep time
-rw-r--r--fake/Makefile2
-rwxr-xr-xfake/run.sh19
-rwxr-xr-xlinarobench.sh4
3 files changed, 20 insertions, 5 deletions
diff --git a/fake/Makefile b/fake/Makefile
index 341626b..bd8aef0 100644
--- a/fake/Makefile
+++ b/fake/Makefile
@@ -2,7 +2,7 @@ all:
echo all
check:
- ./run.sh
+ ./run.sh $(RUN_ARGS)
clean:
echo recurse
diff --git a/fake/run.sh b/fake/run.sh
index 0611e08..a6c8a91 100755
--- a/fake/run.sh
+++ b/fake/run.sh
@@ -1,7 +1,22 @@
#!/bin/bash
-#sleep 960
-#sleep 3600
+naptime=
+while getopts s: flag; do
+ case "${flag}" in
+ s) naptime="${OPTARG}";;
+ *)
+ echo "Bad arg" 1>&2
+ exit 1
+ ;;
+ esac
+done
+if test x"${naptime:-}" != x; then
+ if test -w /dev/console; then
+ console=/dev/console
+ fi
+ echo "fakebench sleeping for ${naptime} seconds" | tee /dev/stdout ${console}
+ sleep ${naptime}
+fi
echo "Ran a benchmark"
echo "Some stderr" 1>&2
mkdir -p fakeresults
diff --git a/linarobench.sh b/linarobench.sh
index 86485f1..c86c684 100755
--- a/linarobench.sh
+++ b/linarobench.sh
@@ -16,7 +16,7 @@ for x in "$@"; do
done
if test $# -eq 0; then
- run_benchargs=('default')
+ run_benchargs=()
else
run_benchargs=("$@")
fi
@@ -33,4 +33,4 @@ for x in "${run_benchargs[@]}"; do
echo "$x" >> linarobenchlog
done
-make -C fake check >> linarobenchlog
+eval make RUN_ARGS="'${run_benchargs[@]}'" -C fake check >> linarobenchlog